summaryrefslogtreecommitdiff
path: root/localps2pdfprepressgray13
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2015-01-19 12:48:22 +0100
committerJonas Smedegaard <dr@jones.dk>2015-01-19 12:48:22 +0100
commit3fc15ea7ee0ac5c09b9142bd1ac33c622381dda4 (patch)
tree5d229512f2db1c6e17ad0a2a8194e2da92e86fd5 /localps2pdfprepressgray13
parenta254bc38f2f49625ab9dffd1609f2f592581b76a (diff)
Add localps2pdf* scripts.
Diffstat (limited to 'localps2pdfprepressgray13')
-rwxr-xr-xlocalps2pdfprepressgray1317
1 files changed, 17 insertions, 0 deletions
diff --git a/localps2pdfprepressgray13 b/localps2pdfprepressgray13
new file mode 100755
index 0000000..fe9a157
--- /dev/null
+++ b/localps2pdfprepressgray13
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -eu
+
+infile="$1"
+outfile="${2:-$(basename "$infile" .pdf)_gray13.pdf}"
+
+# https://stackoverflow.com/questions/20128656
+gs \
+ -sDEVICE=pdfwrite \
+ -dPDFSETTINGS=/prepress \
+ -sProcessColorModel=DeviceGray \
+ -sColorConversionStrategy=Gray \
+ -dOverrideICC \
+ -dCompatibilityLevel=1.3 \
+ -o "$outfile" \
+ -f "$infile"